Bug 833545 - dependencies on php-common are not arch-specific.
dependencies on php-common are not arch-specific.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: php (Show other bugs)
6.5
Unspecified Linux
unspecified Severity high
: rc
: ---
Assigned To: Web Stack Team
David Kutálek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 14:19 EDT by M. Ellis
Modified: 2013-02-21 05:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 05:14:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description M. Ellis 2012-06-19 14:19:48 EDT
Description of problem:
Package php-mbstring.x86_64 5.3.3-3.el6_2.6 has php_common.i686 (5.3.3-3.el6_2.6) as a dependency

Version-Release number of selected component (if applicable):
5.3.3-3.el6_2.6

How reproducible:
So far this error is showing up on all of our local RHEL6.2 x86_64 boxes that have php-mbstring installed.

Steps to Reproduce:
1. Attempt to patch or install with yum.  Example:
sudo yum -y install php-mbstring
2.
3.
  
Actual results:
Yum attempts to install php_common.i686 and a long dependency chain based on that package, errors out with:
--> Finished Dependency Resolution
Error: Protected multilib versions: php-common-5.3.3-3.el6_2.6.i686 != php-common-5.3.3-3.el6_2.8.x86_64
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Expected results:
Installs php-mbstring

Additional info:
We're using a local spacewalk repository, not going directly off of rhn.redhat.com
Comment 2 Joe Orton 2012-06-20 08:16:29 EDT
I'd guess your optional repo is not in synch.

php-mbstring comes from optional.  It depends on php-common with matching NVR though without an arch-specific requirement.

yum is finding an old php-mbstring.x86_64, and an old php-common.i686 (-3.el6_2.6) which matches the NVR requirement, but that conflicts with the new php-common.x86_64 (-3.el6_2.8).

The deps should be tight enough to show a conflict earlier, but you would get a conflict anyway since that old php-mbstring cannot be installed.
Comment 3 RHEL Product and Program Management 2012-07-10 04:30:50 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 RHEL Product and Program Management 2012-07-10 21:54:21 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 8 errata-xmlrpc 2013-02-21 05:14:12 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0514.html

Note You need to log in before you can comment on or make changes to this bug.